﻿@{
    Layout = "~/Views/Shared/Layout/_Layout.cshtml";
    ViewData["Title"] = ViewData["Title"];
    ViewData["PageParentName"] = ViewData["PageParentName"];
    ViewData["PageName"] = ViewData["PageName"];
}
@using CMS.Core.Domain.Projects
@using CMS.Services.Lib.Helper
@using CMS.Data.Enum
@model Projects
<div class="row clearfix">
    <div class="col-lg-4 col-md-12">
        <div class="card">
            <div class="body">
                <h5>@Model.Name</h5>
                @Html.Raw(Model.Descriptions)
                <div class="progress-container progress-info m-b-25">
                    <span class="progress-badge">Project Status</span>
                    <div class="progress">
                        <div class="progress-bar" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: @Model.Process%;">
                            <span class="progress-value">@Model.Process%</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="body">
                <ul class=" list-unstyled basic-list">
                    <li>Chi phí:<span class="badge badge-primary">@Model.Cost</span></li>
                    <li>Ngày tạo:<span class="badge-purple badge">@DatetimeHelper.ConvertDateToFormatType(Model.CreateDate, "dd MMM, yyyy")</span></li>
                    <li>Deadline:<span class="badge-purple badge">@DatetimeHelper.ConvertDateToFormatType(Model.EndDate, "dd MMM, yyyy")</span></li>
                    <li>
                        Độ ưu tiên: 
                        @{
                            switch (Model.PriorityID)
                            {
                                case 0:
                                    { <span class="badge-danger badge">@EnumHelper.ToDisplayName(PriorityEnum.High)</span> }; break;
                                case 1:
                                    { <span class="badge-primary badge">@EnumHelper.ToDisplayName(PriorityEnum.Medium)</span> }; break;
                                case 2:
                                    { <span class="badge-purple badge">@EnumHelper.ToDisplayName(PriorityEnum.Low)</span> }; break;
                            }
                            }
                    </li>
                    <li>
                        Tình trạng: @{
                            switch (Model.Status)
                            {
                                case 0:
                                    { <span class="badge-danger badge">@EnumHelper.ToDisplayName(StatusEnum.Close)</span> }; break;
                                case 1:
                                    { <span class="badge-success badge"> @EnumHelper.ToDisplayName(StatusEnum.Active)</span> }; break;
                                case 2:
                                    { <span class="badge-warning badge">@EnumHelper.ToDisplayName(StatusEnum.Pending)</span> }; break;
                                case 3:
                                    { <span class="badge-dark badge">@EnumHelper.ToDisplayName(StatusEnum.InActive)</span> }; break;
                                
                            }
                        }
                    </li>
                </ul>
            </div>
        </div>
        <div class="card">
            <div class="header">
                <h2>Assigned Team</h2>
            </div>
            <div class="body">
                <div class="w_user">
                    <img class="rounded-circle" src="../assets/images/sm/avatar4.jpg" alt="">
                    <div class="wid-u-info">
                        <h5>Fidel Tonn</h5>
                        <span>info@thememakker.com</span>
                        <p class="text-muted m-b-0">Project Lead</p>
                    </div>
                    <hr>
                </div>
                <ul class="right_chat list-unstyled mb-0">
                    <li class="online">
                        <a href="javascript:void(0);">
                            <div class="media">
                                <img class="media-object " src="../assets/images/xs/avatar4.jpg" alt="">
                                <div class="media-body">
                                    <span class="name">Chris Fox</span>
                                    <span class="message">Sales Lead</span>
                                </div>
                            </div>
                        </a>
                    </li>
                    <li class="online">
                        <a href="javascript:void(0);">
                            <div class="media">
                                <img class="media-object " src="../assets/images/xs/avatar5.jpg" alt="">
                                <div class="media-body">
                                    <span class="name">Joge Lucky</span>
                                    <span class="message">Java Developer</span>
                                </div>
                            </div>
                        </a>
                    </li>
                    <li class="offline">
                        <a href="javascript:void(0);">
                            <div class="media">
                                <img class="media-object " src="../assets/images/xs/avatar2.jpg" alt="">
                                <div class="media-body">
                                    <span class="name">Isabella</span>
                                    <span class="message">UI UX Designer</span>
                                </div>
                            </div>
                        </a>
                    </li>
                    <li class="offline">
                        <a href="javascript:void(0);">
                            <div class="media mb-0">
                                <img class="media-object " src="../assets/images/xs/avatar1.jpg" alt="">
                                <div class="media-body">
                                    <span class="name">Folisise Chosielie</span>
                                    <span class="message">FrontEnd Developer</span>
                                </div>
                            </div>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
        <div class="card">
            <div class="header">
                <h2>About Clients</h2>
            </div>
            <div class="body text-center">
                <div class="profile-image m-b-15"> <img src="../assets/images/user.png" class="rounded-circle" alt=""> </div>
                <div>
                    <h4 class="m-b-0"><strong>Jessica</strong> Doe</h4>
                    <span>Washington, d.c.</span>
                </div>
                <div class="m-t-15">
                    <button class="btn btn-primary">Profile</button>
                    <button class="btn btn-outline-secondary">Message</button>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-8 col-md-12">
        <div class="card">
            <div class="header">
                <h2>Project Activity</h2>
            </div>
            <div class="body">
                <div class="form-group">
                    <textarea rows="2" class="form-control no-resize" placeholder="Please type what you want..."></textarea>
                </div>
                <div class="post-toolbar-b">
                    <button class="btn btn-warning"><i class="icon-paper-clip text-light"></i></button>
                    <button class="btn btn-warning"><i class="icon-camera text-light"></i></button>
                    <button class="btn btn-primary">Add</button>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="body">
                <div class="timeline-item green">
                    <span class="date">Just now</span>
                    <h6>iNext - One Page Responsive Template</h6>
                    <span>Project Lead: <a href="javascript:void(0);" title="Fidel Tonn">Fidel Tonn</a></span>
                </div>
                <div class="timeline-item warning">
                    <span class="date">02 Jun 2018</span>
                    <h6>Add Team Members</h6>
                    <span>By: <a href="javascript:void(0);" title="Fidel Tonn">Fidel Tonn</a></span>
                    <div class="msg">
                        <p>web by far While that's mock-ups and this is politics, are they really so different? I think the only card she has is the Lorem card.</p>
                        <ul class="list-unstyled team-info">
                            <li><img src="../assets/images/xs/avatar4.jpg" data-toggle="tooltip" data-placement="top" title="Chris Fox" alt="Avatar"></li>
                            <li><img src="../assets/images/xs/avatar5.jpg" data-toggle="tooltip" data-placement="top" title="Joge Lucky" alt="Avatar"></li>
                            <li><img src="../assets/images/xs/avatar2.jpg" data-toggle="tooltip" data-placement="top" title="Folisise Chosielie" alt="Avatar"></li>
                            <li><img src="../assets/images/xs/avatar1.jpg" data-toggle="tooltip" data-placement="top" title="Joge Lucky" alt="Avatar"></li>
                        </ul>
                        <div class="top_counter">
                            <div class="icon"><i class="fa fa-file-word-o"></i> </div>
                            <div class="content">
                                <p class="mb-1">iNext project documentation.doc</p>
                                <span>Size: 2.3Mb</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="timeline-item warning">
                    <span class="date">02 Jun 2018</span>
                    <h6>Task Assigned</h6>
                    <span>By: <a href="javascript:void(0);" title="Fidel Tonn">Fidel Tonn</a></span>
                    <div class="msg">
                        <p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal</p>
                        <div class="media">
                            <img class="media-object rounded width40 mr-3" src="../assets/images/xs/avatar1.jpg" alt="" />
                            <div class="media-body">
                                <h6 class="mb-0">Folisise Chosielie</h6>
                                <p class="mb-0"><strong>Detail:</strong> Ipsum is simply dummy text of the printing and typesetting industry. </p>
                            </div>
                        </div>
                        <div class="media">
                            <img class="media-object rounded width40 mr-3" src="../assets/images/xs/avatar5.jpg" alt="" />
                            <div class="media-body">
                                <h6 class="mb-0">Joge Lucky</h6>
                                <p class="mb-0"><strong>Detail:</strong> Ipsum is simply dummy text of the printing and typesetting industry. </p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="timeline-item warning">
                    <span class="date">02 Jun 2018</span>
                    <h6>Add new code on GitHub</h6>
                    <span>By: <a href="javascript:void(0);" title="Fidel Tonn">Folisise Chosielie</a></span>
                    <div class="msg">
                        <div class="alert alert-success mb-3" role="alert">Code Update Successfully in GitHub</div>
                        <pre class="prettyprint prettyprinted"><span class="tag">&lt;span</span><span class="pln"> </span><span class="atn">class</span><span class="pun">=</span><span class="atv">"badge badge-default"</span><span class="tag">&gt;</span><span class="pln">Default</span><span class="tag">&lt;/span&gt;</span><span class="pln">
                        </span><span class="tag">&lt;span</span><span class="pln"> </span><span class="atn">class</span><span class="pun">=</span><span class="atv">"badge badge-primary"</span><span class="tag">&gt;</span><span class="pln">Primary</span><span class="tag">&lt;/span&gt;</span><span class="pln">
                        </span><span class="tag">&lt;span</span><span class="pln"> </span><span class="atn">class</span><span class="pun">=</span><span class="atv">"badge badge-success"</span><span class="tag">&gt;</span><span class="pln">Success</span><span class="tag">&lt;/span&gt;</span><span class="pln">
                        </span><span class="tag">&lt;span</span><span class="pln"> </span><span class="atn">class</span><span class="pun">=</span><span class="atv">"badge badge-info"</span><span class="tag">&gt;</span><span class="pln">Info</span><span class="tag">&lt;/span&gt;</span><span class="pln">
                        </span><span class="tag">&lt;span</span><span class="pln"> </span><span class="atn">class</span><span class="pun">=</span><span class="atv">"badge badge-warning"</span><span class="tag">&gt;</span><span class="pln">Warning</span><span class="tag">&lt;/span&gt;</span><span class="pln">
                        </span><span class="tag">&lt;span</span><span class="pln"> </span><span class="atn">class</span><span class="pun">=</span><span class="atv">"badge badge-danger"</span><span class="tag">&gt;</span><span class="pln">Danger</span><span class="tag">&lt;/span&gt;</span></pre>
                    </div>
                </div>
                <div class="timeline-item danger">
                    <span class="date">04 Jun 2018</span>
                    <h6>Project Reports</h6>
                    <span>By: <a href="javascript:void(0);" title="Fidel Tonn">Fidel Tonn</a></span>
                    <div class="msg">
                        <ul class="list-unstyled">
                            <li class="mb-2">
                                <span>Design Bug</span>
                                <div class="progress progress-xs">
                                    <div class="progress-bar progress-bar-danger" role="progressbar" aria-valuenow="17" aria-valuemin="0" aria-valuemax="100" style="width: 17%;"></div>
                                </div>
                            </li>
                            <li class="mb-2">
                                <span>UI UX Design Task</span>
                                <div class="progress progress-xs">
                                    <div class="progress-bar" role="progressbar" aria-valuenow="83" aria-valuemin="0" aria-valuemax="100" style="width: 83%;"></div>
                                </div>
                            </li>
                            <li class="mb-2">
                                <span>Developer Task</span>
                                <div class="progress progress-xs">
                                    <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="49" aria-valuemin="0" aria-valuemax="100" style="width: 49%;"></div>
                                </div>
                            </li>
                            <li class="mb-2">
                                <span>QA (Quality Assurance)</span>
                                <div class="progress progress-xs">
                                    <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="33" aria-valuemin="0" aria-valuemax="100" style="width: 33%;"></div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="timeline-item dark">
                    <span class="date">05 Jun 2018</span>
                    <h6>Project on Goinng</h6>
                </div>
            </div>
        </div>
    </div>
</div>